varying vec2 v_TexCoord;
uniform float u_Intensity;
uniform sampler2D u_Tex0;

void main()
{
    gl_FragColor = texture2D(u_Tex0, v_TexCoord);
    
    if(gl_FragColor.a > 0.9) {
        gl_FragColor.xyz *= min(max(1.0, u_Intensity), 0.0);
    }

    if(gl_FragColor.a < 0.01) discard;
}
